Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 574164 - mail-filter/mailfilter-0.8.2 : rcfile.ll:150:14: error: no match for ‘operator=’ (operand types are ‘std::istream {aka std::basic_istream<char>}’ and ‘std::ifstream* {aka std::basic_ifstream<char>*}’)
Summary: mail-filter/mailfilter-0.8.2 : rcfile.ll:150:14: error: no match for ‘operato...
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-02-08 12:57 UTC by Toralf Förster
Modified: 2019-03-26 20:02 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-history.txt (emerge-history.txt,193.46 KB, text/plain)
2016-02-08 12:58 UTC, Toralf Förster
Details
environment (environment,73.54 KB, text/plain)
2016-02-08 12:58 UTC, Toralf Förster
Details
mail-filter:mailfilter-0.8.2:20160207-221450.log (mail-filter:mailfilter-0.8.2:20160207-221450.log,9.54 KB, text/plain)
2016-02-08 12:58 UTC, Toralf Förster
Details
emerge-info.txt (emerge-info.txt,8.49 KB, text/plain)
2016-11-29 21:16 UTC, Toralf Förster
Details
config.log (config.log,86.65 KB, text/plain)
2016-11-29 21:16 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,179.80 KB, text/plain)
2016-11-29 21:16 UTC, Toralf Förster
Details
environment (environment,75.33 KB, text/plain)
2016-11-29 21:16 UTC, Toralf Förster
Details
mail-filter:mailfilter-0.8.2:20161129-210300.log (mail-filter:mailfilter-0.8.2:20161129-210300.log,9.60 KB, text/plain)
2016-11-29 21:16 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2016-02-08 12:57:59 UTC
rcfile.ll: In member function ‘virtual int rcFlexLexer::yylex()’:
rcfile.ll:150:14: error: no match for ‘operator=’ (operand types are ‘std::istream {aka std::basic_istream<char>}’ and ‘std::ifstream* {aka std::basic_ifstream<char>*}’)
         yyin = new ifstream (sub_file.c_str ());
              ^
In file included from /usr/lib/gcc/x86_64-pc-linux-gnu/5.3.0/include/g++-v5/iostream:40:0,
                 from rcfile.cc:96:


$ cat ./info.txt
  -----------------------------------------------------------------

  This is an unstable amd64 chroot image (named amd64-selinux-unstable_20160204-170558) at a hardened host acting as a tinderbox.

  -----------------------------------------------------------------

  make.conf: USE="mmx sse sse2 pax_kernel -cdinstall -oci8 -bindist -aes-ni avx2 cdb cgi compat corefonts custom-cflags -evdev fortran freetds ftp gnuplot gtkstyle gudev imap introspection jadetex javafx -mbox mdnsresponder-compat mikmod mod oci8 ogg opengl png postproc pulseaudio pyqt4 sql sqlite ssh-askpass ssl ssse3 thinkpad -tk ufed video xinetd -xmp xvmc"

  -----------------------------------------------------------------
  Portage 2.2.27 (python 3.4.3-final-0, default/linux/amd64/13.0/selinux, gcc-5.3.0, glibc-2.22-r1, 4.3.5-hardened-r1 x86_64)
=================================================================
System uname: Linux-4.3.5-hardened-r1-x86_64-Intel-R-_Core-TM-_i7-3770_CPU_@_3.40GHz-with-gentoo-2.2
KiB Mem:    16164680 total,   3071196 free
KiB Swap:   16777212 total,  16721316 free
Timestamp of repository gentoo: Sun, 07 Feb 2016 20:42:25 +0000
sh bash 4.3_p42-r2
ld GNU ld (Gentoo 2.25.1 p1.1) 2.25.1
app-shells/bash:          4.3_p42-r2::gentoo
dev-lang/perl:            5.22.1::gentoo
dev-lang/python:          2.7.11-r2::gentoo, 3.4.3-r7::gentoo, 3.5.1-r2::gentoo
dev-util/cmake:           3.4.3::gentoo
dev-util/pkgconfig:       0.29::gentoo
sys-apps/baselayout:      2.2::gentoo
sys-apps/openrc:          0.20.4::gentoo
sys-apps/sandbox:         2.10-r1::gentoo
sys-devel/autoconf:       2.13::gentoo, 2.69-r1::gentoo
sys-devel/automake:       1.9.6-r4::gentoo, 1.11.6-r2::gentoo, 1.13.4-r1::gentoo, 1.14.1-r1::gentoo, 1.15-r1::gentoo
sys-devel/binutils:       2.25.1-r1::gentoo
sys-devel/gcc:            4.9.3::gentoo, 5.3.0::gentoo
sys-devel/gcc-config:     1.8-r1::gentoo
sys-devel/libtool:        2.4.6-r1::gentoo
sys-devel/make:           4.1-r1::gentoo
sys-kernel/linux-headers: 4.4::gentoo (virtual/os-headers)
sys-libs/glibc:           2.22-r1::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://rsync.de.gentoo.org/gentoo-portage/
    priority: 1

local
    location: /usr/local/portage
    masters: gentoo
    priority: 2

ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /var/lib/i2pd/certificates"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.5/ext-active/ /etc/php/apache2-php7.0/ext-active/ /etc/php/cgi-php5.5/ext-active/ /etc/php/cgi-php7.0/ext-active/ /etc/php/cli-php5.5/ext-active/ /etc/php/cli-php7.0/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=native -O2 -pipe"
DISTDIR="/var/tmp/distfiles"
EMERGE_DEFAULT_OPTS="--deep --verbose-conflicts --color=n --nospinner --tree --quiet-build --accept-properties=-interactive --accept-restrict=-fetch"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles ipc-sandbox merge-sync network-sandbox news parallel-fetch preserve-libs protect-owned sandbox selinux sesandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://ftp.uni-erlangen.de/pub/mirrors/gentoo rsync://mirror.netcologne.de/gentoo/ ftp://sunsite.informatik.rwth-aachen.de/pub/Linux/gor.bytemark.co.uk/gentoo/ rsync://ftp.snt.utwente.nl/gentoo"
LANG="en_US.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j1"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="acl amd64 avx2 berkdb bzip2 cdb cgi cli compat corefonts cracklib crypt custom-cflags cxx dri fortran freetds ftp gdbm gnuplot gtkstyle gudev iconv imap introspection ipv6 jadetex javafx mdnsresponder-compat mikmod mmx mmxext mod modules multilib ncurses nls nptl oci8 ogg open_perms opengl openmp pam pax_kernel pcre png postproc pulseaudio pyqt4 readline seccomp selinux session sql sqlite sse sse2 ssh-askpass ssl ssse3 tcpd thinkpad ufed unconfined unicode video xattr xinetd xvmc zlib" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="aes avx mmx mmxext popcnt sse sse2 sse3 sse4_1 sse4_2 ssse3" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="en en_GB" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-5" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_4" RUBY_TARGETS="ruby20 ruby21" USERLAND="GNU" VIDEO_CARDS="intel i965" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON
Comment 1 Toralf Förster gentoo-dev 2016-02-08 12:58:02 UTC
Created attachment 424898 [details]
emerge-history.txt
Comment 2 Toralf Förster gentoo-dev 2016-02-08 12:58:05 UTC
Created attachment 424900 [details]
environment
Comment 3 Toralf Förster gentoo-dev 2016-02-08 12:58:07 UTC
Created attachment 424902 [details]
mail-filter:mailfilter-0.8.2:20160207-221450.log
Comment 4 Holger Hoffstätte 2016-05-25 19:31:53 UTC
This should be fixed by bump to 0.8.4, see:
http://mailfilter.sourceforge.net/news.html

"Another maintenance release, after it was reported that Mailfilter no longer builds with newer systems due to a change inside the lexer, flex, which now uses a reference to the currently opened file as opposed to a pointer in previous versions; see also [Debian bug 812681](https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=812681)."

I can confirm that 0.8.4 builds fine with both gcc 5.3.0 and clang-3.8.0 (which also reports a few other questionable practices).
Comment 5 Holger Hoffstätte 2016-05-25 19:38:25 UTC
(In reply to Holger Hoffstätte from comment #4)
> I can confirm that 0.8.4 builds fine with both gcc 5.3.0 and clang-3.8.0
> (which also reports a few other questionable practices).

More good news: src_prepare() & the patches for 0.8.2 can be nuked,
they are no longer required.
Comment 6 Holger Hoffstätte 2016-05-25 20:22:57 UTC
Created PR: https://github.com/gentoo/gentoo/pull/1542
Comment 7 Eray Aslan gentoo-dev 2016-05-26 09:21:27 UTC
Should be fixed with mail-filter/mailfilter-0.8.4
Comment 8 Toralf Förster gentoo-dev 2016-11-29 21:16:45 UTC
Created attachment 454714 [details]
emerge-info.txt

happened at a stabletoo
Comment 9 Toralf Förster gentoo-dev 2016-11-29 21:16:50 UTC
Created attachment 454716 [details]
config.log
Comment 10 Toralf Förster gentoo-dev 2016-11-29 21:16:53 UTC
Created attachment 454718 [details]
emerge-history.txt
Comment 11 Toralf Förster gentoo-dev 2016-11-29 21:16:56 UTC
Created attachment 454720 [details]
environment
Comment 12 Toralf Förster gentoo-dev 2016-11-29 21:16:59 UTC
Created attachment 454722 [details]
mail-filter:mailfilter-0.8.2:20161129-210300.log
Comment 13 Toralf Förster gentoo-dev 2016-11-29 21:18:03 UTC
happened at a stable too
Comment 14 Holger Hoffstätte 2016-11-30 06:27:51 UTC
All this has been fixed upstream in 0.8.6, see bug#587134 for more.